
Hammer CLI - Refactor #11280

Revert Ruby 1.8 specifics

08/04/2015 04:28 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Hammer core   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  In Kanboard:  

Pull request: https://github.com/theforeman/hammer-cl

i/pull/176

Red Hat JIRA:  

Team Backlog:    

Description

Hammer CLI has some workarounds for Ruby 1.8 support, e.g. carrying fastercsv and rb-readline dependencies.  These can now be

dropped once 1.8 support is gone.

Related issues:

Related to Hammer CLI - Refactor #11452: Support rest-client 1.8 Closed 08/23/2015

Blocked by Hammer CLI - Tracker #8978: Drop Ruby 1.8 support in hammer Closed 01/15/2015

Associated revisions

Revision 4dc0ba77 - 08/08/2015 08:32 PM - Michael Moll 

refs #11280 - drop Ruby 1.8 support

Revision ef61e9a7 - 08/08/2015 08:33 PM - Michael Moll 

refs #11280 - drop Ruby 1.8 support

Revision 174f507f - 08/24/2015 07:49 AM - Tomáš Strachota

Merge pull request #176 from mmoll/ruby19

refs #11280 - drop Ruby 1.8 support

Revision 42d61117 - 08/24/2015 07:49 AM - Tomas Strachota 

Merge pull request #188 from mmoll/ruby19

refs #11280 - drop Ruby 1.8 support

History

#1 - 08/04/2015 04:35 AM - Dominic Cleal

- Blocked by Tracker #8978: Drop Ruby 1.8 support in hammer added

#2 - 08/08/2015 08:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/hammer-cli/pull/176 added

- Pull request deleted ()

#3 - 08/23/2015 02:22 PM - Anonymous

- Related to Refactor #11452: Support rest-client 1.8 added

#4 - 08/28/2015 08:00 PM - Anonymous

- Status changed from Ready For Testing to Closed
this is done in current master branches
